[vdr] [ANNOUNCE] VDR developer version 1.3.38

Darren Salt linux at youmustbejoking.demon.co.uk
Tue Jan 10 00:43:30 CET 2006


I demand that Tommi Lundell may or may not have written...

[snip]
> I use debian (testing release) and after installing "apt-get install
> libcap-bin libcap-dev libcap1" packages vdr (1.3.38) compiling fine.

  # aptitude install libcap-dev

is sufficient; the others are automatically installed and will be marked as
such if you don't explicitly specify them, they're not already installed and
you use aptitude.

> But when i try to start it "source/vdr/vdr-1.3.38# ./vdr -c /etc/vdr -L
> /usr/local/lib/vdr/ -w 60 -E /var/cache/vdr/ -Pdxr3" I get error "vdr:
> cap_set_proc failed: Operation not permitted"

> Even command "./vdr --help" gives that "vdr: cap_set_proc failed: Operation
> not permitted" error.

Works for me, but then I'm not making use of capabilities and I'm not
starting it as root.

[snip]
-- 
| Darren Salt | d youmustbejoking,demon,co,uk | nr. Ashington,
| Debian,     | s zap,tartarus,org            | Northumberland
| RISC OS     | @                             | Toon Army
|   <URL:http://www.youmustbejoking.demon.co.uk/progs.packages.html>

Dawn already? Doesn't time fly when you're programming...



More information about the vdr mailing list